Subject: bug#59109: 29.0.50; package-tests failing since feature/package+vc merge

From: Philip Kaludercic <[email-masked]>
Date: Fri, 11 Nov 2022 18:21:49 +0000

"Basil L. Contovounesios" <[email-masked]> writes:

> Several tests in test/lisp/emacs-lisp/package-tests.el have been failing
> on my end since the following commit:
>
>   Merge branch 'feature/package+vc'
>   5fa2f11679 2022-11-04 18:57:45 +0100
>   https://git.sv.gnu.org/cgit/emacs.git/commit/?id=5fa2f11679
>
> The failures do not happen on the merge commit's first parent:
>
>   * lisp/simple.el (function-documentation): Fix bug#59014
>   616aa23d8a 2022-11-04 11:59:51 -0400
>   https://git.sv.gnu.org/cgit/emacs.git/commit/?id=616aa23d8a
>
> I attach a log of building Emacs followed by two invocations of
> 'make test/package-tests', the first using the suite's .el file and the
> second using the .elc.  The failures are the same either way.  Each run
> is preceded by "echo '>>> TEST EL[C]'" for easier locating in the log.
>
> Let me know if you'd like me to run anything else on my end.
>
> Thanks,

With the latest changes pushed to scratch/package-vc-fixes I have
reduced the number of failing tests to three:

--8<---------------cut here---------------start------------->8---
Selector: t
Passed:  33
Failed:  3 (3 unexpected)
Skipped: 1
Total:   37/37

Started at:   2022-11-11 19:19:53+0100
Finished.
Finished at:  2022-11-11 19:20:14+0100

..........F..............FF.....s....

F package-test-install-multifile
    Check properties of the installed multi-file package.
    (ert-test-failed
     ((should
       (file-exists-p
	(expand-file-name fn pkg-dir)))
      :form
      (file-exists-p "/tmp/emacs-test-4NLfrT-package/multi-file-0.2.3/multi-file-sub.elc")
      :value nil))

F package-test-macro-compilation
    "Activation has to be done before compilation, so that if we’re
    (ert-test-failed
 ((should
   (equal
    (macro-problem-func)
    '(1 b)))
  :form
  (equal
   (progn a b)
   (1 b))
  :value nil :explanation
  (proper-lists-of-different-length 3 2
				    (progn a b)
				    (1 b)
				    first-mismatch-at 0)))

F package-test-macro-compilation-gz
    Built-in’s can be superseded as well.
    (ert-test-failed
 ((should
   (member
    (expand-file-name "macro-builtin-aux.elc" dir)
    (mapcar #'car load-history)))
  :form
  (member "/home/philip/Source/emacs/test/lisp/emacs-lisp/package-resources/macro-builtin-package-1.0/macro-builtin-aux.elc"
	  ("/tmp/emacs-test-F81fle-package/macro-problem-2.0/macro-problem-autoloads.el" "/tmp/emacs-test-F81fle-package/macro-problem-1.0/macro-problem-autoloads.el" "/tmp/emacs-test-MaJv5k-package/simple-single-1.3/simple-single-autoloads.el" "/tmp/emacs-test-MaJv5k-package/simple-depend-1.0/simple-depend-autoloads.el" "/tmp/emacs-test-MaJv5k-package/simple-two-depend-1.1/simple-two-depend-autoloads.el" "/tmp/emacs-test-u4JGkP-package/simple-single-1.3/simple-single-autoloads.el" "/tmp/emacs-test-CBf8HX-package/simple-single-1.3/simple-single-autoloads.el" "/tmp/emacs-test-NyiQ17-package/simple-single-1.3/simple-single-autoloads.el" "/tmp/emacs-test-4NLfrT-package/multi-file-0.2.3/multi-file-autoloads.el" "/tmp/emacs-test-qZQQde-package/simple-single-1.3/simple-single-autoloads.el" ...))
  :value nil))

--8<---------------cut here---------------end--------------->8---

I am uncertain what the issue is in these cases, but I'll continue
looking around.